/**
 * Leader.java Version 0.1, October 2001
 *
 * Copyright (C) 2001  Bas Peters (mail@bpeters.com)
 *
 * This file is part of James (Java MARC Events).
 *
 * James is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * James is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with James; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **/

package com.bpeters.james;

public class Leader {

    private String recordLength;
    private char recordStatus;
    private char typeOfRecord;
    private char[] implDefined1;
    private char charCodingScheme;
    private char indicatorCount;
    private char subfieldCodeLength;
    private String baseAddressOfData;
    private char[] implDefined2;
    private char[] entryMap;

    public void setRecordLength(String recordLength) {
	this.recordLength = recordLength;
    }

    public void setRecordStatus(char recordStatus) {
	this.recordStatus = recordStatus;
    }

    public void setTypeOfRecord(char typeOfRecord) {
	this.typeOfRecord = typeOfRecord;
    }

    public void setImplDefined1(char[] implDefined1) {
	this.implDefined1 = implDefined1;
    }

    public void setCharCodingScheme(char charCodingScheme) {
	this.charCodingScheme = charCodingScheme;
    }

    public void setIndicatorCount(char indicatorCount) {
	this.indicatorCount = indicatorCount;
    }

    public void setSubfieldCodeLength(char subfieldCodeLength) {
	this.subfieldCodeLength = subfieldCodeLength;
    }

    public void setBaseAddressOfData(String baseAddressOfData) {
	this.baseAddressOfData = baseAddressOfData;
    }

    public void setImplDefined2(char[] implDefined2) {
	this.implDefined2 = implDefined2;
    }

    public void setEntryMap(char[] entryMap) {
	this.entryMap = entryMap;
    }

    public String getRecordLength() {
	return recordLength;
    }

    public char getRecordStatus() {
	return recordStatus;
    }

    public char getTypeOfRecord() {
	return typeOfRecord;
    }

    public char[] getImplDefined1() {
	return implDefined1;
    }

    public char getCharCodingScheme() {
	return charCodingScheme;
    }

    public char getIndicatorCount() {
	return indicatorCount;
    }

    public char getSubfieldCodeLength() {
	return subfieldCodeLength;
    }

    public String getBaseAddressOfData() {
	return baseAddressOfData;
    }

    public char[] getImplDefined2() {
	return implDefined2;
    }

    public char[] getEntryMap() {
	return entryMap;
    }

    public String toString() {
	StringBuffer sb = new StringBuffer();
	sb.append(recordLength);
	sb.append(recordStatus);
	sb.append(typeOfRecord);
	sb.append(implDefined1);
	sb.append(charCodingScheme);
	sb.append(indicatorCount);
	sb.append(subfieldCodeLength);
	sb.append(baseAddressOfData);
	sb.append(implDefined2);
	sb.append(entryMap);
	return sb.toString();
    }

}

// End of Leader.java
