/**
 * Datatype.java Version 0.1, October 2001
 *
 * Copyright (C) 2001  Bas Peters 
 *
 * This file is part of James (Java MARC Events).
 *
 * James is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * James is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with James; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **/

package com.bpeters.james.datatype;

public class Datatype {

    public static boolean isDigit(char c) {
	int i = (int)c;
	if ((i >= 48 && i <= 57))
	    return true;
	return false;
    }

    public static boolean isLowercaseLetter(char c) {
	int i = (int)c;
	if ((i >= 97 && i <= 122))
	    return true;
	return false;
    }

    public static boolean isUppercaseLetter(char c) {
	int i = (int)c;
	if ((i >= 65 && i <= 90))
	    return true;
	return false;
    }

    public static boolean isBlank(char c) {
	int i = (int)c;
	if (i == 32)
	    return true;
	return false;
    }

}

// End of Datatype.java
